import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { GetDisplayPropsParams, GetPriceParams, GetPricePerShareParams, GetUnderlyingTokensParams } from '../../../position/template/app-token.template.types';
import { OriginDollarContractFactory, Wousd } from '../contracts';
export declare class EthereumOriginDollarGovernanceWousdTokenFetcher extends AppTokenTemplatePositionFetcher<Wousd> {
    protected readonly appToolkit: IAppToolkit;
    private readonly contractFactory;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: OriginDollarContractFactory);
    getContract(address: string): Wousd;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions({ contract }: GetUnderlyingTokensParams<Wousd>): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPrice({ appToken, contract, multicall }: GetPriceParams<Wousd>): Promise<number>;
    getPricePerShare({ appToken, contract, multicall }: GetPricePerShareParams<Wousd>): Promise<number[]>;
    getLabel({ appToken }: GetDisplayPropsParams<Wousd>): Promise<string>;
    getImages({ appToken }: GetDisplayPropsParams<Wousd>): Promise<string[]>;
}
